import { MonthComponents, pageName } from '../../types/store';
import { HeaderType } from '../../types/components';
import { EventListener } from "../../types/utils";
import { _Event } from "../../types/event";
export declare const utilStyle: {
    'text-align': string;
    padding: string;
    width: string;
};
export declare function handleRange(state: MonthComponents): EventListener[];
export declare function nextYear(type: HeaderType): void;
export declare function preYear(): void;
export declare function nextMonth(type: HeaderType): void;
export declare function preMonth(): void;
export declare function toMonthPage(): void;
export declare function selectYear(e: _Event): void;
export declare function selectMonth(idx: number): void;
export declare function toDayPage(month: number): void;
export declare function toYearPage(): void;
export declare function toggleVisibility(page: pageName): boolean;
