import { State } from './store';
import { CreateElement, CreateElementOptions } from './utils';
import { EventListener } from "./utils";
import { DatepickerType, DateType, MonthType } from "./options";
export declare type HeaderType = 'start' | 'end';
export interface UpdateCbType {
    text: (res: string) => void;
    cls: (res: string) => void;
    sty: (res: boolean) => void;
}
export declare type PopoverType = DatepickerType<(CreateElementOptions | CreateElement)[]>;
export declare type DayEvent = DateType<(this: State) => void, EventListener[]>;
export declare type MonthEvent = MonthType<(this: State) => void, EventListener[]>;
export interface RangeClickEvent {
    complete: {
        plt: HeaderType;
        status: 'selecting';
    };
    selecting: {
        plt: HeaderType;
        status: 'complete';
    };
}
