import { DateData, State } from "../types/store";
export declare function getYear(date?: Date): number;
export declare function getMonth(date?: Date): number;
export declare function getDay(date?: Date): number;
export declare function transformDateToArray(date: string): number[];
export declare function daysInAMonth(year: number, month: number): number;
export declare function getMinInTen(num: number): number;
export declare function monthFirstDay(year: number, month: number): number;
export declare function joinDate<T = (number | string)>(month?: T[] | T, year?: number, day?: number): string;
export declare function transformDate(date: Date): string;
export declare function dateDiff(source: string | null, target: string | null): boolean;
export declare function monthDiff(source: string | null, target: string | null): boolean;
export declare function rangeSort(min: string | null, max: string | null): (string | null)[];
export declare function isInRange<T = number>(max: string, min: string, date: string): string;
export declare function getPre<T = number>(m: number, y?: number): [number, number];
export declare function getNext<T = number>(m: number | DateData, y?: number): [number, number];
export declare function isDisabledDate(state: State, date: string): string;
